Bug 282811 - Login box is replaced by password when entering a empty password
Login box is replaced by password when entering a empty password
Product: Fedora
Classification: Fedora
Component: xorg-x11-xdm (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-07 13:45 EDT by Dick Marinus
Modified: 2014-06-18 05:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot.png (13.77 KB, image/png)
2007-09-07 13:45 EDT, Dick Marinus
no flags Details
xdm-1.1.3-emptyuser.patch (491 bytes, patch)
2007-10-02 08:17 EDT, Dick Marinus
no flags Details | Diff

  None (edit)
Description Dick Marinus 2007-09-07 13:45:42 EDT

How reproducible:

Steps to Reproduce:
1. Press enter as username
2. Enter a password (and confirm with enter)
Actual results:
The label "password remains"

Expected results:
The label "Username"
Comment 1 Dick Marinus 2007-09-07 13:45:42 EDT
Created attachment 190241 [details]
Comment 2 Dick Marinus 2007-10-01 09:41:17 EDT
I think this is related to Red Hat's PAM configuration, login attemps with empty
usernames are directly refused.
Comment 3 Dick Marinus 2007-10-02 08:17:44 EDT
Created attachment 213321 [details]

I've created this patch, it seems to fix the issue.
Comment 4 Bug Zapper 2008-05-14 10:17:34 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:21:52 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.